#pragma GCC optimize("O3,unroll-loops")
#include <bits/stdc++.h>
#define int long long
using namespace std;

int f(vector<int> a,vector<int>v){
    if(v.size() == a.size()){
        vector<int>v1;
        for(auto it:v){
            v1.push_back(a[it]);
        }
        int ans = 1;
        for(int i = 1;i<v1.size()-1;i++){
            if(v1[i-1]+v1[i+1] < v1[i]*2){
                ans = 0;
            }
        }
        return ans;
    }
    else{
        int ans = 0;
        for(int i = 0;i<a.size();i++){
            int x = 1;
            for(int j = 0;j<v.size();j++){
                if(v[j] == i){
                    x = 0;
                }
            }
            if(x){
                vector<int>v2 = v;
                v2.push_back(i);
                ans = max(ans,f(a,v2));
            }
        }
        return ans;
    }
}

int32_t main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin>>t;
    while(t--){
        int n;
        cin>>n;
        vector<int>a(n);
        for(int i = 0;i<n;i++){
            cin>>a[i];
        }
        int ans = 0;
        for(int i = 0;i<n;i++){
            vector<int>v1;
            v1.push_back(i);
            ans = max(ans,f(a,v1));
        }
        if(ans){
            cout<<"YES";
        }
        else{
            cout<<"NO";
        }
        cout<<endl;
    }
}
